package com.hzya.frame.seeyon.cbs8.service;

import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.seeyon.cbs8.entity.PaymentEntity;

import java.util.List;

/**
 * @Description oa对接cbs
 * @Author xiangerlin
 * @Date 2024/6/6 16:31
 **/
public interface IPaymentService extends IBaseService<PaymentEntity,String> {

    /**
     * 查询待支付的数据 需要推送到CBS的
     * 如果需要查询流程状态已结束的 需要调用方设置finishedflag=1
     * @param entity
     * @return
     * @throws Exception
     */
    List<PaymentEntity> queryUnpaid(PaymentEntity entity)throws Exception;
}
